# This enables TestWise integration
#  - send debug message to TestWise TraceWindow
#
# Ref: https://www.selenium.dev/selenium/docs/api/rb/index.html
#      https://github.com/SeleniumHQ/selenium/blob/trunk/rb/lib/selenium/webdriver/common/driver.rb

=begin

require "#{File.dirname(__FILE__)}/testwise_runtime_support.rb"

module Selenium
  module WebDriver

    class Navigation

      include TestWiseRuntimeSupport

      def to(url)
        dump_caller_stack
        operation_delay
        check_for_pause
        @bridge.get url
      end
      
    end
    
    

    class Driver
      
      include TestWiseRuntimeSupport



      def title
        dump_caller_stack                
        bridge.title
      end
      
      def page_source
        dump_caller_stack                        
        bridge.page_source
      end
      
      def action
        dump_caller_stack                        
        bridge.action
      end
      
      def manage
        dump_caller_stack                        
        bridge.manage
      end
      
      def execute_script(script, *args)
        dump_caller_stack        
        bridge.execute_script(script, *args)
      end

    end

    module SearchContext
        include TestWiseRuntimeSupport

      # NOTE extends another module seems not work  
      # 
        def perform_operation(& block)
          begin
              if self.respond_to?("dump_caller_stack")
                dump_caller_stack
                operation_delay
                check_for_pause
              end
                        
            yield
          rescue RuntimeError => re
            raise re
          end
        end

        # !!! Important !
        #
        # Override two methods in Selenium
        #
        def find_element(*args)
          # puts "[DEBUG][SeleniumExtension] calling my find_element"
          perform_operation {
            how, what = extract_args(args)

            unless by = FINDERS[how.to_sym]
              raise ArgumentError, "cannot find element by #{how.inspect}"
            end

            bridge.find_element_by by, what, ref
          }
        end


        def find_elements(*args)
          perform_operation {
            how, what = extract_args(args)

            unless by = FINDERS[how.to_sym]
              raise ArgumentError, "cannot find elements by #{how.inspect}"
            end

            bridge.find_elements_by by, what, ref
          }
        end


    end
  end
end


=end