load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Test Suite" do
  include TestHelper

  before(:all) do
    desired_caps = {
      caps: {
        platformName: "Windows",
        platform: "Windows",
        deviceName: "SurfacePro",
        app: "Microsoft.WindowsCalculator_8wekyb3d8bbwe!App",
      },
      appium_lib: { wait: 0.5 },
    }
    @driver = Appium::Driver.new(desired_caps, true).start_driver
  end

  after(:all) do
    @driver.quit unless debugging?
  end

  it "Plus two single digits" do
    driver.find_element(:name, "One").click
    driver.find_element(:name, "Plus").click
    driver.find_element(:name, "Three").click
    driver.find_element(:name, "Equals").click
    the_dispaly_result = driver.find_element(:accessibility_id, "CalculatorResults").text
    expect(the_dispaly_result).to eq("Display is 4")
  end
end
