from pages.abstract_page import AbstractPage

from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.support.ui import Select

class PaymentPage(AbstractPage):

  def enter_holder_name(self, holder_name):
    self.driver.find_element(By.NAME, "holder_name").send_keys(holder_name)

  def enter_card_number(self, card_number):
    self.driver.find_element(By.NAME, "card_number").send_keys(card_number)

  def enter_expiry_month(self, expiry_month):
    Select(self.driver.find_element(By.NAME, "expiry_month")).select_by_visible_text(expiry_month)

  def enter_expiry_year(self, expiry_year):
    Select(self.driver.find_element(By.NAME, "expiry_year")).select_by_visible_text(expiry_year)

  def click_pay_now(self):
    self.driver.find_element(By.XPATH, "//input[@value='Pay now']").click()
 
  def select_card_type(self, card_type):
    self.driver.find_element(By.XPATH, "//input[@name='card_type' and @value='" + card_type + "']").click()
  