load File.dirname(__FILE__) + '/../test_helper.rb'

describe "Select Flights" do
  include TestHelper

  before(:all) do
    @driver = $driver = Selenium::WebDriver.for(browser_type, browser_options)
    driver.manage().window().resize_to(1028, 720)
    driver.manage().window().move_to(30, 78)
    driver.get(site_url)
    
    login_page = LoginPage.new(driver)
    login_page.login("agileway", "testwise")
  end

  after(:all) do
    driver.quit unless debugging?
  end

  before(:each) do
    visit("/")
  end

  it "[2] Return trip" do
    flight_page = FlightPage.new(driver)
    flight_page.select_trip_type("return")
    flight_page.select_depart_from("Sydney")
    flight_page.select_arrive_at("New York")

    flight_page.select_depart_day("02")
    flight_page.select_depart_month("May #{Date.today.year}")
    flight_page.select_return_day("04")
    flight_page.select_return_month("June #{Date.today.year}")
    flight_page.click_continue

    expect(page_text).to include("#{Date.today.year}-05-02 Sydney to New York")
    expect(page_text).to include("#{Date.today.year}-06-04 New York to Sydney")
  end

  it "[3] One-way trip" do
    flight_page = FlightPage.new(driver)
    flight_page.select_trip_type("oneway")
    flight_page.select_depart_from("Sydney")
    flight_page.select_arrive_at("New York")

    flight_page.select_depart_day("02")
    flight_page.select_depart_month("November #{Date.today.year}")
    flight_page.click_continue

    expect(page_text).to include("#{Date.today.year}-11-02 Sydney to New York")
  end

end
