load File.dirname(__FILE__) + "/../test_helper.rb"

# https://appium.io/docs/en/commands/element/attributes/enabled/

describe "NotePad Edit text" do
  include TestHelper

  before(:all) do
    @driver = Appium::Driver.new(notepad_caps, true).start_driver
    @main_win = @driver.find_element(:name, "Untitled - Notepad") # failed, case
  end

  def main_win
    @main_win
  end

  after(:all) do
    @driver && @driver.quit unless debugging?
  end


  it "Clear text fields" do
    # "/Pane[@ClassName=\"#32769\"][@Name=\"Desktop 1\"]/Window[@ClassName=\"Notepad\"][@Name=\"*Untitled - Notepad\"]/Document[@ClassName=\"Edit\"][@Name=\"Text Editor\"]"
    editor_control = @driver.find_element(:name, "Text Editor")
    sleep 0.5
    editor_control.send_keys("extra stuff in document")
    editor_control.clear

    # assertion
    expect(editor_control.text).to eq("")
  end

  it "Type special keys" do
    main_win.send_keys("\n CT with BuildWise")

    editor_control = @driver.find_element(:name, "Text Editor")
    editor_control.send_keys([:control, "a"])
    editor_control.send_keys(:backspace)
  end


end
