var webdriver = require('selenium-webdriver'),
    By = webdriver.By,
    until = webdriver.until;
//var test = require('selenium-webdriver/testing');
var assert = require('assert');

var driver;
const timeOut = 15000;

String.prototype.contains = function(it) {
  return this.indexOf(it) != -1;
};

const chrome = require("selenium-webdriver/chrome");
var helper = require('../test_helper');

// An example as in below:  var MyPage = require('../pages/my_page.js')
// BEGIN: import pages

// END: import pages

describe('Flight', function() {

  before(async function() {
    this.timeout(timeOut);
    driver = new webdriver.Builder().forBrowser(helper.browserType()).setChromeOptions(helper.chromeOptions()).build();
    //driver.manage().window().setSize(1280, 720);
    //driver.manage().window().setPosition(30, 78);

    await driver.get('https://travel.agileway.net');
    await helper.login(driver, "agileway", "testwise");
  });

  beforeEach(async function() {
    this.timeout(timeOut);
    await driver.get(helper.site_url());
  });

  after(async function() {
    if (!helper.is_debugging()) {
      driver.quit();
    }
  });

  it('[3] Return trip', async function() {
    this.timeout(timeOut);
    await driver.findElement(By.xpath("//input[@name='tripType' and @value='return']")).click();
    await driver.findElement(By.name("fromPort")).sendKeys("Sydney");
    await driver.findElement(By.name("toPort")).sendKeys("New York");
    await driver.findElement(By.name("departDay")).sendKeys("02");
    await driver.findElement(By.name("departMonth")).sendKeys("May 2021");
    await driver.findElement(By.name("returnDay")).sendKeys("04");
    await driver.findElement(By.name("returnMonth")).sendKeys("June 2021");
    await driver.findElement(By.xpath("//input[@value='Continue']")).click();
    await driver.findElement(By.tagName("body")).getText().then(function(the_page_text) {
      assert(the_page_text.includes("2021-05-02 Sydney to New York"))
      assert(the_page_text.includes("2021-06-04 New York to Sydney"))
    });
  });

  it('[2] One-way trip', async function() {
    this.timeout(timeOut);
    await driver.findElement(By.xpath("//input[@name='tripType' and @value='oneway']")).click();
    await driver.findElement(By.name("fromPort")).sendKeys("New York");
    await driver.findElement(By.name("toPort")).sendKeys("Sydney");
    await driver.findElement(By.name("departDay")).sendKeys("02");
    await driver.findElement(By.name("departMonth")).sendKeys("May 2021");
    await driver.findElement(By.xpath("//input[@value='Continue']")).click();

    await driver.findElement(By.tagName("body")).getText().then(function(the_page_text) {
      assert(the_page_text.includes("2021-05-02 New York to Sydney"))
    });
  });


});
