# use utils in RWebSpec and better integration with TestWise
require "#{File.dirname(__FILE__)}/../agileway_utils.rb"

# This is the parent page for all page objects, for operations across all pages, define here
class AbstractPage 

  
  # If want to use utility methods such as fail_safe { }, uncomment the line below 
  # 
  include AgilewayUtils

  # If want to use puts('message') to TestWise Console, uncomment the line below
  #
	if defined?(TestWiseRuntimeSupport)
	  include TestWiseRuntimeSupport # for selenium webdriver support
	end
  

  def initialize(driver, text = "")
    page_delay
    @driver = driver
    # TODO check the page text contains the given text	
  end


  
  def driver
    @driver
  end
  alias browser driver
  
    # add delay on landing a web page. the default implementation is using a setting in TestWise IDE 
  def page_delay
    if $TESTWISE_PAGE_DELAY && $TESTWISE_PAGE_DELAY.to_i > 0 && $TESTWISE_PAGE_DELAY.to_i < 100
      sleep $TESTWISE_PAGE_DELAY.to_i
    end 
  end

end
